Bug 22831 - Passwd lock/unlock user
Passwd lock/unlock user
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-25 20:51 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-25 21:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-25 20:51:29 EST
Either I have failed to notice something important, or I have a bug that 
needs to be explained/fixed.

I use passwd -l username (as root, of course)
It does what the man pages says it does.  Inserts a ! into the front 
character of the password in shadow. i.e. Actual entry from shadow:
jbc:!G3oMgW3hB93nI:11135:0:99999:7:-1:-1:134530724

The problem arises when I use passwd -u username

It removes the ! okay, but appears to scramble the password field.  i.e.

jbc:G3oMgW3hB93nI/bin/f:11135:0:99999:7:-1:-1:134530724

Obviously adding something looking like the beginning of /bin/false to the 
end of the password field making the original password unusable.  This 
addition is random depending on the user you lock/unlock.

Bug or not?
Red Hat 6.0 i386
Comment 1 Need Real Name 2000-12-26 16:28:55 EST
I have updated my passwd program to ver. 0.64.1 from 0.58 and it curred the 
problem.  I suspect I got an updated library that caused the problem with an 
older version of passwd.

Thanks
John

Note You need to log in before you can comment on or make changes to this bug.